//
// This is a generated file, do not edit!
// Generated by R.swift, see https://github.com/mac-cain13/R.swift
//

import Foundation
import Rswift
import UIKit

/// This `R` struct is generated and contains references to static resources.
struct R: Rswift.Validatable {
  fileprivate static let applicationLocale = hostingBundle.preferredLocalizations.first.flatMap(Locale.init) ?? Locale.current
  fileprivate static let hostingBundle = Bundle(for: R.Class.self)
  
  static func validate() throws {
    try intern.validate()
  }
  
  /// This `R.color` struct is generated, and contains static references to 0 color palettes.
  struct color {
    fileprivate init() {}
  }
  
  /// This `R.file` struct is generated, and contains static references to 0 files.
  struct file {
    fileprivate init() {}
  }
  
  /// This `R.font` struct is generated, and contains static references to 0 fonts.
  struct font {
    fileprivate init() {}
  }
  
  /// This `R.image` struct is generated, and contains static references to 0 images.
  struct image {
    fileprivate init() {}
  }
  
  /// This `R.nib` struct is generated, and contains static references to 0 nibs.
  struct nib {
    fileprivate init() {}
  }
  
  /// This `R.reuseIdentifier` struct is generated, and contains static references to 3 reuse identifiers.
  struct reuseIdentifier {
    /// Reuse identifier `episodeCell`.
    static let episodeCell: Rswift.ReuseIdentifier<MBEpisodeTableViewCell> = Rswift.ReuseIdentifier(identifier: "episodeCell")
    /// Reuse identifier `homeTableViewCell`.
    static let homeTableViewCell: Rswift.ReuseIdentifier<MBHomeTableViewCell> = Rswift.ReuseIdentifier(identifier: "homeTableViewCell")
    /// Reuse identifier `seasonCell`.
    static let seasonCell: Rswift.ReuseIdentifier<MBSeasonTableViewCell> = Rswift.ReuseIdentifier(identifier: "seasonCell")
    
    fileprivate init() {}
  }
  
  /// This `R.segue` struct is generated, and contains static references to 0 view controllers.
  struct segue {
    fileprivate init() {}
  }
  
  /// This `R.storyboard` struct is generated, and contains static references to 6 storyboards.
  struct storyboard {
    /// Storyboard `LaunchScreen`.
    static let launchScreen = _R.storyboard.launchScreen()
    /// Storyboard `MBEpisodeDetail`.
    static let mBEpisodeDetail = _R.storyboard.mBEpisodeDetail()
    /// Storyboard `MBHome`.
    static let mBHome = _R.storyboard.mBHome()
    /// Storyboard `MBSeasonDetail`.
    static let mBSeasonDetail = _R.storyboard.mBSeasonDetail()
    /// Storyboard `MBShowDetail`.
    static let mBShowDetail = _R.storyboard.mBShowDetail()
    /// Storyboard `MBWelcome`.
    static let mBWelcome = _R.storyboard.mBWelcome()
    
    /// `UIStoryboard(name: "LaunchScreen", bundle: ...)`
    static func launchScreen(_: Void = ()) -> UIKit.UIStoryboard {
      return UIKit.UIStoryboard(resource: R.storyboard.launchScreen)
    }
    
    /// `UIStoryboard(name: "MBEpisodeDetail", bundle: ...)`
    static func mBEpisodeDetail(_: Void = ()) -> UIKit.UIStoryboard {
      return UIKit.UIStoryboard(resource: R.storyboard.mBEpisodeDetail)
    }
    
    /// `UIStoryboard(name: "MBHome", bundle: ...)`
    static func mBHome(_: Void = ()) -> UIKit.UIStoryboard {
      return UIKit.UIStoryboard(resource: R.storyboard.mBHome)
    }
    
    /// `UIStoryboard(name: "MBSeasonDetail", bundle: ...)`
    static func mBSeasonDetail(_: Void = ()) -> UIKit.UIStoryboard {
      return UIKit.UIStoryboard(resource: R.storyboard.mBSeasonDetail)
    }
    
    /// `UIStoryboard(name: "MBShowDetail", bundle: ...)`
    static func mBShowDetail(_: Void = ()) -> UIKit.UIStoryboard {
      return UIKit.UIStoryboard(resource: R.storyboard.mBShowDetail)
    }
    
    /// `UIStoryboard(name: "MBWelcome", bundle: ...)`
    static func mBWelcome(_: Void = ()) -> UIKit.UIStoryboard {
      return UIKit.UIStoryboard(resource: R.storyboard.mBWelcome)
    }
    
    fileprivate init() {}
  }
  
  /// This `R.string` struct is generated, and contains static references to 0 localization tables.
  struct string {
    fileprivate init() {}
  }
  
  fileprivate struct intern: Rswift.Validatable {
    fileprivate static func validate() throws {
      try _R.validate()
    }
    
    fileprivate init() {}
  }
  
  fileprivate class Class {}
  
  fileprivate init() {}
}

struct _R: Rswift.Validatable {
  static func validate() throws {
    try storyboard.validate()
  }
  
  struct nib {
    fileprivate init() {}
  }
  
  struct storyboard: Rswift.Validatable {
    static func validate() throws {
      try mBShowDetail.validate()
      try mBHome.validate()
      try mBEpisodeDetail.validate()
      try mBWelcome.validate()
      try mBSeasonDetail.validate()
    }
    
    struct launchScreen: Rswift.StoryboardResourceWithInitialControllerType {
      typealias InitialController = UIKit.UIViewController
      
      let bundle = R.hostingBundle
      let name = "LaunchScreen"
      
      fileprivate init() {}
    }
    
    struct mBEpisodeDetail: Rswift.StoryboardResourceType, Rswift.Validatable {
      let bundle = R.hostingBundle
      let mBEpisodeDetailView = StoryboardViewControllerResource<MBEpisodeDetailView>(identifier: "MBEpisodeDetailView")
      let name = "MBEpisodeDetail"
      
      func mBEpisodeDetailView(_: Void = ()) -> MBEpisodeDetailView? {
        return UIKit.UIStoryboard(resource: self).instantiateViewController(withResource: mBEpisodeDetailView)
      }
      
      static func validate() throws {
        if _R.storyboard.mBEpisodeDetail().mBEpisodeDetailView() == nil { throw Rswift.ValidationError(description:"[R.swift] ViewController with identifier 'mBEpisodeDetailView' could not be loaded from storyboard 'MBEpisodeDetail' as 'MBEpisodeDetailView'.") }
      }
      
      fileprivate init() {}
    }
    
    struct mBHome: Rswift.StoryboardResourceWithInitialControllerType, Rswift.Validatable {
      typealias InitialController = MBHomeView
      
      let bundle = R.hostingBundle
      let mBHomeView = StoryboardViewControllerResource<MBHomeView>(identifier: "MBHomeView")
      let name = "MBHome"
      
      func mBHomeView(_: Void = ()) -> MBHomeView? {
        return UIKit.UIStoryboard(resource: self).instantiateViewController(withResource: mBHomeView)
      }
      
      static func validate() throws {
        if _R.storyboard.mBHome().mBHomeView() == nil { throw Rswift.ValidationError(description:"[R.swift] ViewController with identifier 'mBHomeView' could not be loaded from storyboard 'MBHome' as 'MBHomeView'.") }
      }
      
      fileprivate init() {}
    }
    
    struct mBSeasonDetail: Rswift.StoryboardResourceType, Rswift.Validatable {
      let bundle = R.hostingBundle
      let mBSeasonDetailView = StoryboardViewControllerResource<MBSeasonDetailView>(identifier: "MBSeasonDetailView")
      let name = "MBSeasonDetail"
      
      func mBSeasonDetailView(_: Void = ()) -> MBSeasonDetailView? {
        return UIKit.UIStoryboard(resource: self).instantiateViewController(withResource: mBSeasonDetailView)
      }
      
      static func validate() throws {
        if _R.storyboard.mBSeasonDetail().mBSeasonDetailView() == nil { throw Rswift.ValidationError(description:"[R.swift] ViewController with identifier 'mBSeasonDetailView' could not be loaded from storyboard 'MBSeasonDetail' as 'MBSeasonDetailView'.") }
      }
      
      fileprivate init() {}
    }
    
    struct mBShowDetail: Rswift.StoryboardResourceType, Rswift.Validatable {
      let bundle = R.hostingBundle
      let mBShowDetailView = StoryboardViewControllerResource<MBShowDetailView>(identifier: "MBShowDetailView")
      let name = "MBShowDetail"
      
      func mBShowDetailView(_: Void = ()) -> MBShowDetailView? {
        return UIKit.UIStoryboard(resource: self).instantiateViewController(withResource: mBShowDetailView)
      }
      
      static func validate() throws {
        if _R.storyboard.mBShowDetail().mBShowDetailView() == nil { throw Rswift.ValidationError(description:"[R.swift] ViewController with identifier 'mBShowDetailView' could not be loaded from storyboard 'MBShowDetail' as 'MBShowDetailView'.") }
      }
      
      fileprivate init() {}
    }
    
    struct mBWelcome: Rswift.StoryboardResourceWithInitialControllerType, Rswift.Validatable {
      typealias InitialController = MBWelcomeView
      
      let bundle = R.hostingBundle
      let mBWelcomeView = StoryboardViewControllerResource<MBWelcomeView>(identifier: "MBWelcomeView")
      let name = "MBWelcome"
      
      func mBWelcomeView(_: Void = ()) -> MBWelcomeView? {
        return UIKit.UIStoryboard(resource: self).instantiateViewController(withResource: mBWelcomeView)
      }
      
      static func validate() throws {
        if _R.storyboard.mBWelcome().mBWelcomeView() == nil { throw Rswift.ValidationError(description:"[R.swift] ViewController with identifier 'mBWelcomeView' could not be loaded from storyboard 'MBWelcome' as 'MBWelcomeView'.") }
      }
      
      fileprivate init() {}
    }
    
    fileprivate init() {}
  }
  
  fileprivate init() {}
}
